/* Copyright (C) 2004  The SOS Team
   Copyright (C) 1999  Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA. 
*/
#ifndef __TYPES_H__
#define __TYPES_H__

/** Physical address */
typedef unsigned int       paddr_t;

/** Generic virtual address (kernel or user) */
typedef unsigned int       vaddr_t;

/** Memory size of an object (positive) */
typedef unsigned int       size_t;
/** Generic count of objects */
typedef unsigned int       count_t;

/** Low-level sizes */
typedef unsigned long int  ui32_t; /* 32b unsigned */
typedef unsigned short int ui16_t; /* 16b unsigned */
typedef unsigned char      ui8_t;  /* 8b unsigned */
typedef signed long int    si32_t; /* 32b signed */
typedef signed short int   si16_t; /* 16b signed */
typedef signed char        si8_t;  /* 8b signed */

typedef enum { FALSE=0, TRUE } bool_t;

/*
 * Not a proper type, but highly useful with basic type
 * manipulations 
 */
#define NULL ((void*)0)

#endif
