/*
 * Christophe Lucas <clucas@rotomalug.org>
 *
 * Setup Intel 8259 PIC
 */

#ifndef __I8259_H__
#define __I8259_H__

#include <testos/types.h>
#include <testos/errno.h>

#define PIC1_BASE_ADD	0x20
#define PIC2_BASE_ADD	0xa0
#define PIC_EOI		0x20

extern ret_t i8259_setup_pic();
extern ret_t i8259_disable_irq_line(ui8_t irq);
extern ret_t i8259_enable_irq_line(ui8_t irq);
extern ui8_t i8259_get_imr_master( void );
extern ui8_t i8259_get_imr_slave( void );

#endif

